Name:		libhnj
Version:	0.1.1.1
Release:	20021010_134953
Summary:	Hyphenation and justification library.

Group:		System Environment/Libraries
License:	LGPL or MPL
#URL:
Source:		%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-root

Prereq:		/sbin/ldconfig
BuildRequires:	perl
BuildRequires:	swig
BuildRequires:	tetex

%description
libhnj is a hyphenation and justification library.
It uses reworked TeX hyphenation files to do the hyphenation based on
Donald Knuth's hyphenation algorithm.

%package devel
Summary:	libhnj development files and static libraries.
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description devel
libhnj-devel contains the files necessary to build packages that use the
lihnj

%package perl
Summary:	libhnj perl module.
Group:		System Environment/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	perl >= 5

%description perl
libhnj-perl contains a perl interface to libhnj.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --enable-shared
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%makeinstall

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README README.hyphen TODO 
%{_libdir}/libhnj.so.*
%{_bindir}/hyphenate
%{_datadir}/libhnj/*.hnj
%{_mandir}/man1/hyphenate.1*

%files devel
%defattr(-,root,root)
%{_libdir}/libhnj.so
%{_libdir}/libhnj.a
%{_includedir}/libhnj/*.h
%{_libdir}/pkgconfig/libhnj.pc

%files perl
%defattr(-,root,root)
/usr/lib/perl5/*/*/*

%changelog
* Thu Sep 19 2002 Thomas Vander Stichele <thomas@apestaart.org>
- adapted for new structure
- added perl rpm
